# Inventory Update **POST /catalog/accounts/{accountId}/inventoryUploadUrl** # Inventory Update (Retail) To support changes to item availability, Deliverect can receive an inventory file. ## Purpose The method to transfer an Inventory CSV file allows the following; * Defining product ranging per **Location** / **Location_Group** * Defining pricing strategy per **Location** / **Location_Group** and **Channel** * Updating stock count per **Location** * Updating stock status (`IN_STOCK` / `OUT_OF_STOCK`) ## Method To process Inventory updates, a two step process is required to first request a signed URL via Google Cloud Services (GCS) to then submit a CSV file of Inventory data via PUT request. ### 1.Request a Signed URL Sending a request to this endpoint with a `callbackUrl` will return a `signedUrl` from GCS (Google Cloud Services) with specific headers. ### 2.Submit .csv file via PUT Request Once a `signedUrl` is retrieved, the Inventory update process is as follows; * Your Inventory .csv file should be submitted via a PUT request to the `signedUrl` with all the headers provided * Deliverect will then process the CSV asynchronously and callback to the provided `callbackUrl` when the CSV file has been fully processed. ## Servers - Staging Environment: https://api.staging.deliverect.com (Staging Environment) ## Authentication methods - Bearer auth ## Parameters ### Headers - **X-Deliverect-Version** (string) ### Path parameters - **accountId** (string) ### Body: application/json (object) - **callbackUrl** (string) Will be used to notify you when the inventory file has been processed. ## Responses ### 200 200 ### 400 400 #### Body: application/json (object) object [Powered by Bump.sh](https://bump.sh)